Bug 884685 (CVE-2012-5630)

Summary: CVE-2012-5630 libuser: TOCTOU race conditions by copying and removing directory trees
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fweimer, jhrozek, mitr, mjc, pvrabec, security-response-team, tmraz
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130328,reported=20121206,source=redhat,cvss2=3.7/AV:L/AC:H/Au:N/C:P/I:P/A:P,rhel-5/libuser=wontfix,rhel-6/libuser=wontfix,fedora-all/libuser=affected,cwe=CWE-367[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 11:10:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908852, 928846    
Bug Blocks: 884691    

Description Jan Lieskovsky 2012-12-06 09:52:36 EST
A TOCTOU (time-of-check time-of-use) race condition was found in the way libuser, a user and group account administration library, performed copying and removal of (user) directory trees. A local attacker, with permissions to write into particular directory, could use this flaw to conduct symbolic link attacks, leading to their ability to alter / remove directories outside of this directory (tree), if this directory was simultaneously modified (copied or removed) via libuser functionality.

This issue was found by Florian Weimer of Red Hat Product Security Team.
Comment 1 Jan Lieskovsky 2012-12-06 09:56:34 EST
This issue affects the versions of the libuser package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the libuser package, as shipped with Fedora release of 16 and 17.
Comment 8 Huzaifa S. Sidhpurwala 2012-12-10 01:01:26 EST
This issue has been assigned CVE-2012-5630
Comment 30 Huzaifa S. Sidhpurwala 2013-03-28 11:03:07 EDT
Created libuser tracking bugs for this issue

Affects: fedora-all [bug 928846]
Comment 33 Fedora Update System 2013-04-17 22:46:42 EDT
libuser-0.58-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Vincent Danen 2015-08-22 11:10:31 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact. This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.